export declare type IHit = {
    hit: false;
    mc: null;
} | {
    hit: true;
    mc: string;
};
export interface ThriftEntity {
    enums: EnumEntity[];
    fileName: string;
    includes: string[];
    ns: string;
    interfaces: StructEntity[];
    typeDefs: TypeDefEntity[];
}
export interface EnumEntity {
    name: string;
    properties: {
        [key: string]: {
            value: number;
            comment: string;
        };
    };
}
export interface StructEntity {
    name: string;
    properties: {
        [key: string]: StructPropertyEntity;
    };
}
export interface StructPropertyEntity {
    type: string;
    index: number;
    optional: boolean;
    comment: string;
    defaultValue: string;
}
export interface TypeDefEntity {
    alias: string;
    type: string;
}
export interface CMDOptions {
    root: string;
    tsRoot: string;
    autoNamespace: boolean;
    useStrictMode: boolean;
    useTimestamp: boolean;
    entryName: string;
}
