import { ThriftEntity, CMDOptions } from './interfaces';
export declare function print(entity: ThriftEntity | undefined, options: CMDOptions, includeMap: {
    [key: string]: ThriftEntity;
}): Promise<void>;
/**
 * 输出 enums
 *
 * @export
 * @param {ThriftEntity} entity thrift entity
 * @returns {string}
 */
export declare function printEnums(entity: ThriftEntity): string;
/**
 * 输出 interfaces
 *
 * @export
 * @param {ThriftEntity} entity thrift entity
 * @returns {string}
 */
export declare function printInterfaces(entity: ThriftEntity): string;
/**
 * 输出 typedef
 *
 * @export
 * @param {ThriftEntity} entity
 * @returns {string}
 */
export declare function printTypeDefs(entity: ThriftEntity): string;
export declare function fixIncludeNamespace(content: string, entity: ThriftEntity, includeMap: {
    [key: string]: ThriftEntity;
}): string;
